Skip to main content
POST
Request to stake or delegate a wallet

Path Parameters

portfolio_id
string
required

The portfolio ID

wallet_id
string
required

The wallet ID

Body

application/json

StakingInitiateRequest represents a request to initiate a staking operation.

idempotency_key
string
required

The client generated idempotency key for requested execution. Subsequent requests using the same key will fail

inputs
object

WalletStakeInputs contains the custom inputs for staking operations on a wallet. Requirements and supported fields vary by asset type.

metadata
object

WalletStakingMetadata contains optional metadata for wallet staking requests. Optional metadata to attach to this staking or delegation request. Automatic reward crediting (such as SOL inflation) does not produce a taggable transaction and therefore does not support metadata; see the field descriptions below for details.

Response

A successful response.

StakingInitiateResponse contains the response data from initiating a staking operation.

wallet_id
string
required

The wallet ID

transaction_id
string
required

ID of the newly created transaction, can be used to fetch details of the current state of execution

activity_id
string
required

The ID for the activity generated for this request